Bug 462562 - when opening a MS office word document on a windows-share/smb location using nautilus, a general input output error occurs when we want to save the document it as ".doc" format
when opening a MS office word document on a windows-share/smb location using ...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: nautilus (Show other bugs)
9
All Linux
medium Severity medium
: ---
: ---
Assigned To: Tomáš Bžatek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2008-09-17 00:13 EDT by ajax
Modified: 2015-03-03 17:33 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-07-14 10:42:43 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description ajax 2008-09-17 00:13:48 EDT
Description of problem: 

General input/output error when saving in (.doc) format on a windows-share/samba. you can save it in open format (.odt) with no problems.

Note that I have Sun's JDK 6u7 installed and is working fine ...

If you open the file from within ooo writer, it will ask for the credentials to access the windows share folder, it's as if it's not picking it up from "nautilus", but you can save the document perfectly without any errors if you open it through ooo writer instead of using nautilus.

Version-Release number of selected component (if applicable): Nautilus 2.22.5.1
& Open Office.org 2.4.1

How reproducible: occurs every time if you follow these steps


Steps to Reproduce:
1. mount a windows share/smb location, and open it in nautilus

2. using nautilus browse to the MS document you wish to edit/manipulate and open it

3. after editing the document, save it in ".doc" format and you will get an error like this "general input/output error while accessing /home/ajax/.gvfs/test on 192.168.0.10/kilo.doc"
  

Actual results:


Expected results:


Additional info: ~/.xsession-errors indicates this error:

Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x420085d (OpenOffice)
Window manager warning: meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.
Window manager warning: Buggy client sent a _NET_ACTIVE_WINDOW message with a timestamp of 0 for 0x420085d (OpenOffice)
Window manager warning: meta_window_activate called by a pager with a 0 timestamp; the pager needs to be fixed.
Comment 1 Oded Arbel 2008-11-06 11:04:23 EST
If this bug is about the problem to save .doc files to SMB shares, then I can confirm this in Fedora 9 - on some machines I can save to .doc files on SMB shares though OpenOffice.org asks me specifically for a username and password even though I'm saving to an open gvfs mount (that I browsed to with the GNOME "save as" dialog), while in some machines I don't get a password prompt but instead I immediately get a "general input output error" dialog. I think the different has something to do with gvfs-fuse.

Note that in both cases, opening and saving with ODT format works just fine (!!).

It might be related to Bug #454242

In Fedora 10 (rawhide) OTOH saving to doc files works just fine while opening doc files breaks (see Bug #470302). Again, ODT files work just fine.
Comment 2 ajax 2008-11-06 12:06:01 EST
yes I am facing this problem on fedora 9, and yes everything works fine with ODT format docs. 

Currently I'm bypassing this problem by opening the document from inside Open office writer and entering the required credentials.

I think it could also be related to open office itself, on another machine running RHEL 5.1, I installed open office from Sun's website not from an RPM repository, on that machine everything works fine with ODT and MS docs.

So maybe the fedora RPM(s) for open office has/have a bug?? I'm not sure ... On fedora forums I was told that it is a Nautilus related problem.

Thanks
Comment 3 Tomáš Bžatek 2008-11-07 07:20:17 EST
Please note that OpenOffice from Fedora 9 still uses old gnome-vfs2. However accessing documents at '/home/ajax/.gvfs/test on 192.168.0.10/' should be working (to be checked). Another issue might be mixing gio-based filechooser and gnome-vfs2 based OpenOffice.
Comment 4 Aviv Sinai 2008-11-09 04:18:46 EST
I can confirm this problem on fedora 9. However when using the SMB share directly (not via gvfs) using the open-file menu item in Writer it seems to work.
Comment 5 Bug Zapper 2009-06-09 22:44:23 EDT
This message is a reminder that Fedora 9 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 9.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '9'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 9's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 9 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 6 Bug Zapper 2009-07-14 10:42:43 EDT
Fedora 9 changed to end-of-life (EOL) status on 2009-07-10. Fedora 9 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.